Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 74724 - [EE-34] Automatic code completion after @ char
[EE-34] Automatic code completion after @ char
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Dusan Balek
issues@editor
http://ui.netbeans.org/nonav/usabilit...
:
Depends on:
Blocks: 152194
  Show dependency treegraph
 
Reported: 2006-04-10 15:41 UTC by jrojcek
Modified: 2009-05-11 12:31 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2006-04-10 15:41:08 UTC
Finding	
Participant wanted automatic code completion after typing the @ character. He didn't hit Ctrl-Space and 
typed the annotation PersistenceContext manually.

Severity	
1 participant requested this behavior

Recommendation	
Consider showing the code completion automatically after the '@' char, just like after typing the '.' char.
Comment 1 Quality Engineering 2008-10-31 04:47:38 UTC
Integrated into 'main-golden', will be available in build *200810310201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0fb6bb829f57
User: Dusan Balek <dbalek@netbeans.org>
Log: Couple of code completion options added as requested by issues #74724, #131037, and #140695.
Comment 2 Vitezslav Stejskal 2009-05-11 12:31:57 UTC
Already done.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo